Subject: [pcp] PCP server discovery #26 (new): Firewall detection

From: "pcp issue tracker" <[email-masked]>
Date: Tue, 14 Dec 2010 20:16:57 -0000

#26: Firewall detection

 From http://www.ietf.org/mail-archive/web/pcp/current/msg00241.html

 > Med: Agree that it is difficult to detect all FWs but at least fw-
 > controlled by PCP can be detected owing to a PCP capability retrieval
 > procedure (see another e-mail I sent on a proposed solution). Note the
 > presence of a firewall may be an issue in various contexts: e.g.,  (1)
 > symmetric RTP is not used the firewall will block incoming packets if
 > no explicit action is done; (2) unidirectional streams (e.g., VoD) will
 > be blocked by the FW if no action is undertaken, etc. The detection can
 > also be done by a dedicated UPnP service, etc.

 An idea:  as part non-PCP-controlled firewall discovery, PCP client
 opens a firewall pinhole (to itself) using PCP and asks PCP server to
 send a message into the pinhole.  If the message is received, PCP client
 knows no firewall is on that path.  Obviously this doesn't check for
 firewalls not on that path (such as between the PCP server and the
 Internet), but might be useful for the case within a network.  This
 idea feels less useful for NAT detection due to the vagaries around
 NAT filtering/mapping behavior (and it is those non-PCP-controlled
 NATs, which might have that vague behavior, which we want to detect).

-- 
-------------------------------------------------------------------+--------
 Reporter:  mohamed.boucadair@…                                    |       Owner:     
     Type:  enhancement                                            |      Status:  new
 Priority:  major                                                  |   Milestone:     
Component:  PCP server discovery                                   |     Version:     
 Severity:  Active WG Document                                     |    Keywords:     
-------------------------------------------------------------------+--------

Ticket URL: <http://trac.tools.ietf.org/wg/pcp/trac/ticket/26>
pcp <http://tools.ietf.org/pcp/>